net.snowflake.client.log

## Class JDK14Logger

- java.lang.Object
- - net.snowflake.client.log.JDK14Logger

All Implemented Interfaces:
  SFLogger

    public class JDK14Logger
    extends Object
    implements SFLogger

Use java.util.logging to implements SFLogger.

Log Level mapping from SFLogger to java.util.logging: ERROR -- SEVERE WARN -- WARNING INFO -- INFO DEBUG -- FINE TRACE -- FINEST

Created by hyu on 11/17/16.

### Constructor Summary

Constructors
Constructor and Description
`JDK14Logger(String name)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addHandler(Handler handler)`
`void` `debug(String msg, boolean isMasked)`
`void` `debug(String msg, Object... arguments)` Logs message at DEBUG level.
`void` `debug(String msg, Throwable t)`
`void` `debugNoMask(String msg)`
`void` `error(String msg, boolean isMasked)`
`void` `error(String msg, Object... arguments)` Logs message at ERROR level.
`void` `error(String msg, Throwable t)`
`static Level` `getLevel()`
`static void` `honorTracingParameter(Level level)` This is legacy way of enable logging in JDBC (through TRACING parameter) Only effective when java.util.logging.config.file is not specified
`void` `info(String msg, boolean isMasked)`
`void` `info(String msg, Object... arguments)` Logs message at INFO level.
`void` `info(String msg, Throwable t)`
`boolean` `isDebugEnabled()` Is debug level enabled?
`boolean` `isErrorEnabled()` Is error level enabled?
`boolean` `isInfoEnabled()` Is info level enabled?
`boolean` `isTraceEnabled()` Is trace level enabled?
`boolean` `isWarnEnabled()` Is warn level enabled?
`static void` `removeHandler(Handler handler)`
`static void` `setLevel(Level level)`
`static void` `setUseParentHandlers(boolean value)`
`void` `trace(String msg, boolean isMasked)`
`void` `trace(String msg, Object... arguments)` Logs message at TRACE level.
`void` `trace(String msg, Throwable t)`
`void` `warn(String msg, boolean isMasked)`
`void` `warn(String msg, Object... arguments)` Logs message at WARN level.
`void` `warn(String msg, Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDK14Logger

    public JDK14Logger(String name)

### Method Detail

#### isDebugEnabled

    public boolean isDebugEnabled()

Description copied from interface: `SFLogger`
Is debug level enabled?

Specified by:
  `isDebugEnabled` in interface `SFLogger`
Returns:
  true if the trace level is DEBUG

#### isErrorEnabled

    public boolean isErrorEnabled()

Description copied from interface: `SFLogger`
Is error level enabled?

Specified by:
  `isErrorEnabled` in interface `SFLogger`
Returns:
  true if the trace level is ERROR

#### isInfoEnabled

    public boolean isInfoEnabled()

Description copied from interface: `SFLogger`
Is info level enabled?

Specified by:
  `isInfoEnabled` in interface `SFLogger`
Returns:
  true if the trace level is INFO

#### isTraceEnabled

    public boolean isTraceEnabled()

Description copied from interface: `SFLogger`
Is trace level enabled?

Specified by:
  `isTraceEnabled` in interface `SFLogger`
Returns:
  true if the trace level is TRACE

#### isWarnEnabled

    public boolean isWarnEnabled()

Description copied from interface: `SFLogger`
Is warn level enabled?

Specified by:
  `isWarnEnabled` in interface `SFLogger`
Returns:
  true if the trace level is WARN

#### debug

    public void debug(String msg,
                      boolean isMasked)

Specified by:
  `debug` in interface `SFLogger`

#### debugNoMask

    public void debugNoMask(String msg)

Specified by:
  `debugNoMask` in interface `SFLogger`

#### debug

    public void debug(String msg,
                      Object... arguments)

Description copied from interface: `SFLogger`
Logs message at DEBUG level.

Specified by:
  `debug` in interface `SFLogger`
Parameters:
  `msg` - Message or message format
  `arguments` - objects that supply value to placeholders in the message format. Expensive operations that supply these values can be specified using lambdas implementing `ArgSupplier` so that they are run only if the message is going to be logged. E.g., `Logger.debug("Value: {}", (ArgSupplier) () -> expensiveOperation());`

#### debug

    public void debug(String msg,
                      Throwable t)

Specified by:
  `debug` in interface `SFLogger`

#### error

    public void error(String msg,
                      boolean isMasked)

Specified by:
  `error` in interface `SFLogger`

#### error

    public void error(String msg,
                      Object... arguments)

Description copied from interface: `SFLogger`
Logs message at ERROR level.

Specified by:
  `error` in interface `SFLogger`
Parameters:
  `msg` - Message or message format
  `arguments` - objects that supply value to placeholders in the message format. Expensive operations that supply these values can be specified using lambdas implementing `ArgSupplier` so that they are run only if the message is going to be logged. E.g., `Logger.warn("Value: {}", (ArgSupplier) () -> expensiveOperation());`

#### error

    public void error(String msg,
                      Throwable t)

Specified by:
  `error` in interface `SFLogger`

#### info

    public void info(String msg,
                     boolean isMasked)

Specified by:
  `info` in interface `SFLogger`

#### info

    public void info(String msg,
                     Object... arguments)

Description copied from interface: `SFLogger`
Logs message at INFO level.

Specified by:
  `info` in interface `SFLogger`
Parameters:
  `msg` - Message or message format
  `arguments` - objects that supply value to placeholders in the message format. Expensive operations that supply these values can be specified using lambdas implementing `ArgSupplier` so that they are run only if the message is going to be logged. E.g., `Logger.info("Value: {}", (ArgSupplier) () -> expensiveOperation());`

#### info

    public void info(String msg,
                     Throwable t)

Specified by:
  `info` in interface `SFLogger`

#### trace

    public void trace(String msg,
                      boolean isMasked)

Specified by:
  `trace` in interface `SFLogger`

#### trace

    public void trace(String msg,
                      Object... arguments)

Description copied from interface: `SFLogger`
Logs message at TRACE level.

Specified by:
  `trace` in interface `SFLogger`
Parameters:
  `msg` - Message or message format
  `arguments` - objects that supply value to placeholders in the message format. Expensive operations that supply these values can be specified using lambdas implementing `ArgSupplier` so that they are run only if the message is going to be logged. E.g., `Logger.trace("Value: {}", (ArgSupplier) () -> expensiveOperation());`

#### trace

    public void trace(String msg,
                      Throwable t)

Specified by:
  `trace` in interface `SFLogger`

#### warn

    public void warn(String msg,
                     boolean isMasked)

Specified by:
  `warn` in interface `SFLogger`

#### warn

    public void warn(String msg,
                     Object... arguments)

Description copied from interface: `SFLogger`
Logs message at WARN level.

Specified by:
  `warn` in interface `SFLogger`
Parameters:
  `msg` - Message or message format
  `arguments` - objects that supply value to placeholders in the message format. Expensive operations that supply these values can be specified using lambdas implementing `ArgSupplier` so that they are run only if the message is going to be logged. E.g., `Logger.warn("Value: {}", (ArgSupplier) () -> expensiveOperation());`

#### warn

    public void warn(String msg,
                     Throwable t)

Specified by:
  `warn` in interface `SFLogger`

#### addHandler

    public static void addHandler(Handler handler)

#### removeHandler

    public static void removeHandler(Handler handler)

#### setUseParentHandlers

    public static void setUseParentHandlers(boolean value)

#### setLevel

    public static void setLevel(Level level)

#### getLevel

    public static Level getLevel()

#### honorTracingParameter

    public static void honorTracingParameter(Level level)

This is legacy way of enable logging in JDBC (through TRACING parameter) Only effective when java.util.logging.config.file is not specified

Parameters:
  `level` -